%% Writes out into file 'fid' the portion of log which
%% changes when the pattern is moved

function write_log_patt(fid)

  global session sett last_rec survey
  
  % write pattern number and source coordinates if on of them has changed

  if ~isempty(last_rec) && session.pattern == last_rec.pattern && ...
		survey.src_offset == last_rec.src.offset && survey.src_skid == last_rec.src.skid 
	return
  end

  fprintf(fid, "\n");
  fprintf(fid, "%% PATTERN    : %d\n", session.pattern);
  fprintf(fid, "%% =======================================================================\n");

  %fprintf(fid, "%% SpacingLINE: %1.3f \t%% nominal spacing between lines\n", survey.obs_line_spacing);
  fprintf(fid, "%% SrcOFFSET  : %1.3f \t%% source point offset to the right of the line\n", survey.src_offset);
  fprintf(fid, "%% SrcSKID    : %1.3f \t%% source point shift forward in the line\n\n", survey.src_skid);
 
end

