%% Loads session parameters from session.mat file
%% Returns teh name of session file used

function filename = load_session()

global session

  if exist('../daq_emulation')		% using tests without DAQ software
	filename = 'test_session.mat';
  else					% production work
	filename = 'session.mat';
  end

  if exist(filename)         % load parameters of the previous recording session

	load(filename)	
  else
	session.trial_no = 0;
	session.src_no = 0;
  end

end

